[Weather 0.3.x Update Data 1.1a]

; History:
; 2004/12/27   0.3.4.3   Initial release
; 2004/12/30   0.3.4.4
;  * minor changes

[Header]
Name=GisMeteo.ru (WAP)
Internal Name=gm_wap
Description=Download weather information from www.gismeteo.ru
Author=3OJIOTO
Version=2004/12/30

[Default]
Default URL=http://wap.gismeteo.ru/%s.wml
Default Map=http://www.gismeteo.ru/mtowns/%s.htm
Update URL=http://wap.gismeteo.ru/%s.wml






[Station]
Start=title="
End=">






; Разбираем блок Day

; Дата <b>25/12/2004 Day</b>

[FD1D]
Set Data="-"

[FD1D1]
Start=<b>
End=/

[FD1D2]
Start=
End=/

[FD1D3]
Start=2004
End=</b>

[FD1D]
Set Data=[FD1D1] & "/" & [FD1D2]

; Температура <b>0..+2 'C</b>

[FD1H]
Set Data="-"

[FD1L]
Set Data="-"

[FD1H]
Start=<b>
End=..
Unit=C

[FD1L]
Start=
End='C</b>
Unit=C

; Облачность Осадки
; <img src="img/obl_sun.wbmp" alt="p/cldy" hspace="6" vspace="0" align="middle"/>&nbsp;
; <img src="img/obl_snow.wbmp" alt="snow" hspace="6" vspace="0" align="middle"/>&nbsp;

[FD1C]
Start=<img src="img/
End=.wbmp"

[FD1V]
Start=alt="
End="

; Давление и ветер <small>740 mm, NE 4 m/s</small>

[FD1P]
Set Data="-"

[FD1P]
Start=<small>
End=mm
Unit=mm

[FD1WD]
Set Data="-"

[FD1W]
Set Data="-"

; пока так

[FD1WD]
Start=,
End=m/s

[FD1W]
Set Data=""

; как поставить разделитель символ пробела
;
;[FD1WD]
;Start=,
;End= ???
;
;[FD1W]
;Start= ???
;End=m/s
;Unit=m/s

; заполнение глобальных переменных и прогноза

[Update]
Set Data=[FD1D] & " " & [FD1D3]

[High]
Set Data=[FD1H]

[Low]
Set Data=[FD1L]

[Feel]
Set Data=[FD1L]

[Temperature]
Set Data=[FD1H]

[Condition]
Set Data=[FD1C]

[Visibility]
Set Data=[FD1V]

[Pressure]
Set Data=[FD1P]

[Wind Direction]
Set Data=[FD1WD]

[Wind Speed]
Set Data=[FD1W]

[Forecast Day 1]
Set Data=[FD1D] & "	" & [FD1D3] & "	" & [FD1H] & " / " & [FD1L] & " 	" & [FD1P] & " 	" & [FD1C] & " (" & [FD1V] & ")"







; блок Night пропускаем
[Ignore]
Start=Night</b>
End=<br/> </p>







; Разбираем блок Day

; Дата <b>25/12/2004 Day</b>

[FD2D]
Set Data="-"

[FD2D1]
Start=<b>
End=/

[FD2D2]
Start=
End=/

[FD2D3]
Start=2004
End=</b>

[FD2D]
Set Data=[FD2D1] & "/" & [FD2D2]

; Температура <b>0..+2 'C</b>

[FD2H]
Set Data="-"

[FD2L]
Set Data="-"

[FD2H]
Start=<b>
End=..
Unit=C

[FD2L]
Start=
End='C</b>
Unit=C

; Облачность Осадки
; <img src="img/obl_sun.wbmp" alt="p/cldy" hspace="6" vspace="0" align="middle"/>&nbsp;
; <img src="img/obl_snow.wbmp" alt="snow" hspace="6" vspace="0" align="middle"/>&nbsp;

[FD2C]
Start=<img src="img/
End=.wbmp"

[FD2V]
Start=alt="
End="

; Давление и ветер <small>740 mm, NE 4 m/s</small>

[FD2P]
Set Data="-"

[FD2P]
Start=<small>
End=mm
Unit=mm

[FD2WD]
Set Data="-"

[FD2W]
Set Data="-"

; пока так

[FD2WD]
Start=,
End=m/s

[FD2W]
Set Data=""

; как поставить разделитель символ пробела
;
;[FD2WD]
;Start=,
;End= ???
;
;[FD2W]
;Start= ???
;End=m/s
;Unit=m/s

; прогноза

[Forecast Day 2]
Set Data=[FD2D] & "	" & [FD2D3] & "	" & [FD2H] & " / " & [FD2L] & " 	" & [FD2P] & " 	" & [FD2C] & " (" & [FD2V] & ")"







; Обнуление переменных, которых нет

[Humidity]
Set Data="-"

[Pressure Change]
Set Data="-"

[Sunrise]
Set Data="-"

[Sunset]
Set Data="-"

[Day Length]
Set Data="-"

[Moon Phase]
Set Data="-"







[ID Search]
Available=TRUE
Search URL=http://wap.gismeteo.ru/%s.wml
Not Found Str=Not Found
Name Start=<card id="Frc-
Name End="

;Search URL=http://dyn.gismeteo.ru/cgi-bin/wtlist.exe?req=findtown&town=%s
;Not Found Str=К сожалению, по Вашему запросу ничего не найдено.

[Name Search]
Single Result=FALSE
Multiple Result=TRUE
Search URL=http://dyn.gismeteo.ru/cgi-bin/wtlist.exe?req=findtown&lang=eng&town=%s
Not Found Str=Sorry, but no entries is found for Your request.
Single Result Str=ID
Single First=ID
Single ID Start=<a href="http://www.gismeteo.ru/etowns/
Single ID End=.htm">
Single Name Start=
Single Name End=</a>
Mult First=ID
Mult ID Start=<a href="http://www.gismeteo.ru/etowns/
Mult ID End=.htm">
Mult Name Start=
Mult Name End=</a>
